package com.ruoyi.page.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.page.domain.QuartzLog;
import com.ruoyi.page.mapper.QuartzLogMapper;
import com.ruoyi.page.service.QuartzLogService;
import org.springframework.stereotype.Service;

/**
 * 定时任务日志表（quartz_log）表业务处理层
 * @author du
 * @since 2024/6/6 9:40
 */
@Service
public class QuartzLogServiceImpl  extends ServiceImpl<QuartzLogMapper, QuartzLog> implements QuartzLogService {
    /**
     * 分页
     * @param page
     * @param quartzLog
     * @return
     */
    @Override
    public Page<QuartzLog> page(Page<QuartzLog> page, QuartzLog quartzLog) {
        return baseMapper.page(page,quartzLog);
    }
}
