package com.yingji.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * (Source)表实体类
 *
 * @author wu
 * @since 2024-05-07 18:03:09
 */
@Data
@ApiModel("实体类")
@TableName(value = "source")
public class Source implements Serializable {

    private static final long serialVersionUID = -80185849209851185L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 任务id
     */
    @ApiModelProperty(value = "任务id")
    private String sourceId;
}

