package com.yingji.entity.dto.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 110报警请求类
 *
 * @author wu
 * @since 2024/4/30 下午3:59
 */
@ApiModel(value = "110报警请求类")
@Data
public class AlarmRequest implements Serializable {

    private static final long serialVersionUID = 7661630897162054093L;

    /**
     * 类型（getId / getValue）
     */
    @ApiModelProperty(value = "类型（getId / getValue）", required = true)
    private String type;

    /**
     * 值（时间 / Id）
     */
    @ApiModelProperty(value = "值（时间 / Id）", required = true)
    private String value;

    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页 默认1")
    private Integer pageIndex;

    /**
     * 每页显示条数
     */
    @ApiModelProperty(value = "每页显示条数 默认10")
    private Integer pageSize;
}
