package com.yingji.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yingji.entity.Source;
import com.yingji.mapper.SourceMapper;
import com.yingji.service.SourceService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (Source)表服务实现类
 *
 * @author wu
 * @since 2024-05-07 18:03:09
 */
@Service("sourceService")
public class SourceServiceImpl extends ServiceImpl<SourceMapper, Source> implements SourceService {

    /**
     * 保存任务源id
     *
     * @param list 任务源id
     */
    @Override
    public void addList(List<String> list) {
        baseMapper.addList(list);
    }

}

