package com.yingji.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yingji.entity.Alarm;
import com.yingji.entity.dto.request.AlarmFindRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 报警事件(Alarm)表数据库访问层
 *
 * @author wu
 * @since 2024-05-06 09:15:01
 */
public interface AlarmMapper extends BaseMapper<Alarm> {

    /**
     * 分页条件查询数据
     *
     * @param page  分页条件
     * @param req 查询条件
     * @return 数据
     */
    Page<Alarm> page(Page<Alarm> page, @Param("req") AlarmFindRequest req);

}

