package com.yingji;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author wu
 * @since 2024/2/26 10:24
 */

@SpringBootApplication
@MapperScan("com.yingji.mapper")
@EnableAsync
@EnableScheduling
public class FireApplication {
    public static void main(String[] args) {
        SpringApplication.run(FireApplication.class, args);

    }
}