package com.yingji.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.Fire;
import com.yingji.entity.dto.request.FireFindRequest;

/**
 * 119数据(Fire)表服务接口
 *
 * @author wu
 * @since 2024-06-05 09:24:14
 */
public interface FireService extends IService<Fire> {

    /**
     * 分页条件查询所有数据
     *
     * @param page 分页条件
     * @param fire 查询条件
     * @return 所有数据
     */
    Page<Fire> page(Page<Fire> page, FireFindRequest fire);
}

