package com.yingji.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * (AcceptClass)表实体类
 *
 * @author wu
 * @since 2024-06-14 14:32:49
 */
@Data
@ApiModel("实体类")
@TableName(value = "event_class")
public class EventClass implements Serializable {

    private static final long serialVersionUID = -34185186253758694L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 编码AcceptType
     */
    @ApiModelProperty(value = "事件类型编码")
    private String acceptType;

    /**
     * 事件类型ai_class
     */
    @ApiModelProperty(value = "事件类型")
    private String aiClass;
}

