package com.yingji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yingji.entity.EventClass;

/**
 * (AcceptClass)表服务接口
 *
 * @author wu
 * @since 2024-06-14 14:32:49
 */
public interface EventClassService extends IService<EventClass> {

    /**
     * 根据事件类型编码查询事件类型
     *
     * @param accidentType 编码
     * @return 事件类型
     */

    EventClass findByAccidentType(String accidentType);
}

